C
C
C
	DIMENSION IN(1000)
	INTEGER NOUT(5)
	DATA NOUT/'S ','S ',"200,'S ',"200/
	CALL INIT(IN,1000)
	NOLD=0
	X=600.
	Y=970.
	XX=100.
	YY=100.
	SPACE=34.
	CALL APNT(X,Y,1,-7)
	CALL SUBP(101)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(201)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(102)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(202)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(103)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(203)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(104)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(204)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(105)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(205)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(106)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(206)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(107)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(207)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(108)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(208)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(109)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(209)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(110)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(210)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(111)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(211)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(112)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(212)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(113)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(213)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(114)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(214)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(115)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(215)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(116)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(216)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(117)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(217)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(118)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(218)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(119)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(219)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(120)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(220)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(121)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(221)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(122)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(222)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(123)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(223)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(124)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(224)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(125)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(225)
	CALL TEXT('S ')
	CALL ESUB
	Y=Y-SPACE
	CALL APNT(X,Y,1,-7)
	CALL SUBP(126)
	CALL TEXT('S         ')
	CALL ESUB
	CALL SUBP(226)
	CALL TEXT('S ')
	CALL ESUB
100	CALL SUBP(99)
	CALL APNT(XX,YY,-1,-5)
	CALL TEXT('S ',NOUT(4))
	CALL APNT(10.,700.,-1,-5)
	CALL TEXT('SQUADRON CALL LETTERS  ',NOUT(1),' ',NOUT(2),' ')
	CALL ESUB
120	CALL LPEN(M,N)
	IF(M.EQ.0)GO TO 120
	IF(N.EQ.NOLD)GO TO 120
	NOLD=N
	IF(N.GT.150)GO TO 300
	XX=X-70.
	YY=970.-(SPACE*(N-101))
	N=N-100+64
	ENCODE(1,110,NOUT(1))N
	NOUT(4)=NOUT(1)
	TYPE 500,NOUT(1)
	CALL ERAS(99)
	CALL CMPRS
	GO TO 100
300	XX=X+78.
	YY=970.-(SPACE*(N-201))
	N=N-200+64
	ENCODE(1,110,NOUT(2))N
	NOUT(4)=NOUT(2)
	TYPE 500,NOUT(2)
	CALL ERAS(99)
	CALL CMPRS
	GO TO 100
110	FORMAT(A1)
500	FORMAT(' ',A2)
	STOP
	END
